#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define rel 1

Summary:        KDE Frameworks 5 Tier 3 addon for bookmarks manipulation
Name:           kbookmarks
Version: 5.76.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Auth) >= %version
BuildRequires:  cmake(KF5Codecs) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5CoreAddons) >= %version
BuildRequires:  cmake(KF5ItemViews) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5GlobalAccel) >= %version
BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5DBusAddons) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KF5Sonnet) >= %version
BuildRequires:  cmake(KF5TextWidgets) >= %version 
BuildRequires:  cmake(KF5XmlGui) >= %version

Conflicts:      %{_lib}kf5bookmarks5 < 5.42.0-1.1
%ifarch x86_64
Conflicts:      libkf5bookmarks5 < 5.42.0-1.1
%endif

%description
KDE Frameworks 5 Tier 3 addon for bookmarks manipulation.

%files -f %{name}5_qt.lang
%_kf5_categoriesdir/kbookmarks.*categories

#--------------------------------------------------------------------

%define kf5bookmarks_major 5
%define libkf5bookmarks %mklibname kf5bookmarks %{kf5bookmarks_major}

%package -n %libkf5bookmarks
Summary:        KDE Frameworks 5 Tier 3 addon for bookmarks manipulation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5bookmarks
KDE Frameworks 5 Tier 3 addon for bookmarks manipulation.

%files -n %libkf5bookmarks
%_kf5_libdir/libKF5Bookmarks.so.%{kf5bookmarks_major}{,.*}

#--------------------------------------------------------------------

%define kf5bookmarks_devel %mklibname kf5bookmarks -d

%package -n %kf5bookmarks_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5bookmarks = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5bookmarks_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5bookmarks_devel
%_kf5_includedir/KBookmarks/
%_kf5_includedir/kbookmarks_version.h
%_kf5_libdir/cmake/KF5Bookmarks/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang_kf5 %{name}5_qt


%changelog
* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653314
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633168
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625583
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612745
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603073
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592767
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1581993
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566484
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556660
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546780
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486798
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466208
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457593
- New version 5.64.0

* Fri Oct 11 2019 daviddavid <daviddavid> 5.63.0-2.mga8
+ Revision: 1451563
- rebuild for arm

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450974
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444789
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420516
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386917
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382097
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374544
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364519
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356642
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339198
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318945
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298444
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247295
- New version 5.49.0

* Sun May 20 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230578
- New version 5.46.0
- Move translations out of the lib package

* Mon Jan 15 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1193700
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182315
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161221
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140383
- New version 5.37.0
+ pterjan <pterjan>
- Fix breakage from find_lang update script
- Fix for new find_lang

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123484
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088947
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074518
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072179
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058338
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050515
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045093
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041315
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021913
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014323
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999620
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986311
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942232
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921266
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913112
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909875
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900538
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899546
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898910
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888150
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881374
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862933
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-3.mga6
+ Revision: 862623
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862580
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853780
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841555
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803342
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 748145
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680943
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660413
- New version 5.1.0

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651866
- Remove kjs-devel as BR
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611259
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599815
- New version 4.97.0

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594753
- imported package kbookmarks

